cURL
curl --request PUT \ --url https://api.flutterwave.com/v3/subscriptions/{id}/cancel \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: <content-type>'
{ "status": "success", "message": "Subscription cancelled", "data": { "id": 4147, "amount": 2000, "customer": { "id": 247546, "customer_email": "h0vkard@flw.ext" }, "plan": 3657, "status": "cancelled", "created_at": "2019-12-31T17:00:55.000Z" } }
Deactivate a subscription
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
application/json
"application/json"
OK
Show child attributes
{ "id": 4147, "amount": 2000, "customer": { "id": 247546, "customer_email": "h0vkard@flw.ext" }, "plan": 3657, "status": "cancelled", "created_at": "2019-12-31T17:00:55.000Z"}
Was this page helpful?